com.genesyslab.wfm7.API.service.RTA712

## Class AllStatesStruct

- java.lang.Object
- - com.genesyslab.wfm7.API.service.RTA712.AllStatesStruct

- All Implemented Interfaces:
    java.io.Serializable

      public class AllStatesStruct
      extends java.lang.Object
      implements java.io.Serializable

  Contains all possible states and state groups for specified sites.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private NameIDStruct[]` | `genesysStates`
    `private int` | `genesysStatesSize`
    `private NameIDStruct[]` | `scheduledStateGroups`
    `private int` | `scheduledStateGroupsSize`
    `private ScheduleStateStruct[]` | `scheduledStates`
    `private int` | `scheduledStatesSize`
    `private NameIDStruct[]` | `siteNames`
    `private int` | `siteNamesSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllStatesStruct()`
    `AllStatesStruct(int siteNamesSize, NameIDStruct[] siteNames, int genesysStatesSize, NameIDStruct[] genesysStates, int scheduledStateGroupsSize, NameIDStruct[] scheduledStateGroups, int scheduledStatesSize, ScheduleStateStruct[] scheduledStates)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `NameIDStruct[]` | `getGenesysStates()` Gets the genesysStates value for this AllStatesStruct.
    `int` | `getGenesysStatesSize()` Gets the genesysStatesSize value for this AllStatesStruct.
    `NameIDStruct[]` | `getScheduledStateGroups()` Gets the scheduledStateGroups value for this AllStatesStruct.
    `int` | `getScheduledStateGroupsSize()` Gets the scheduledStateGroupsSize value for this AllStatesStruct.
    `ScheduleStateStruct[]` | `getScheduledStates()` Gets the scheduledStates value for this AllStatesStruct.
    `int` | `getScheduledStatesSize()` Gets the scheduledStatesSize value for this AllStatesStruct.
    `NameIDStruct[]` | `getSiteNames()` Gets the siteNames value for this AllStatesStruct.
    `int` | `getSiteNamesSize()` Gets the siteNamesSize value for this AllStatesStruct.
    `int` | `hashCode()`
    `void` | `setGenesysStates(NameIDStruct[] genesysStates)` Sets the genesysStates value for this AllStatesStruct.
    `void` | `setGenesysStatesSize(int genesysStatesSize)` Sets the genesysStatesSize value for this AllStatesStruct.
    `void` | `setScheduledStateGroups(NameIDStruct[] scheduledStateGroups)` Sets the scheduledStateGroups value for this AllStatesStruct.
    `void` | `setScheduledStateGroupsSize(int scheduledStateGroupsSize)` Sets the scheduledStateGroupsSize value for this AllStatesStruct.
    `void` | `setScheduledStates(ScheduleStateStruct[] scheduledStates)` Sets the scheduledStates value for this AllStatesStruct.
    `void` | `setScheduledStatesSize(int scheduledStatesSize)` Sets the scheduledStatesSize value for this AllStatesStruct.
    `void` | `setSiteNames(NameIDStruct[] siteNames)` Sets the siteNames value for this AllStatesStruct.
    `void` | `setSiteNamesSize(int siteNamesSize)` Sets the siteNamesSize value for this AllStatesStruct.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### siteNamesSize

          private int siteNamesSize

    - #### siteNames

          private NameIDStruct[] siteNames

    - #### genesysStatesSize

          private int genesysStatesSize

    - #### genesysStates

          private NameIDStruct[] genesysStates

    - #### scheduledStateGroupsSize

          private int scheduledStateGroupsSize

    - #### scheduledStateGroups

          private NameIDStruct[] scheduledStateGroups

    - #### scheduledStatesSize

          private int scheduledStatesSize

    - #### scheduledStates

          private ScheduleStateStruct[] scheduledStates

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### AllStatesStruct

          public AllStatesStruct()

    - #### AllStatesStruct

          public AllStatesStruct(int siteNamesSize,
                         NameIDStruct[] siteNames,
                         int genesysStatesSize,
                         NameIDStruct[] genesysStates,
                         int scheduledStateGroupsSize,
                         NameIDStruct[] scheduledStateGroups,
                         int scheduledStatesSize,
                         ScheduleStateStruct[] scheduledStates)

  - ### Method Detail

    - #### getSiteNamesSize

          public int getSiteNamesSize()

      Gets the siteNamesSize value for this AllStatesStruct.
      Returns:
        siteNamesSize

    - #### setSiteNamesSize

          public void setSiteNamesSize(int siteNamesSize)

      Sets the siteNamesSize value for this AllStatesStruct.
      Parameters:
        `siteNamesSize` -

    - #### getSiteNames

          public NameIDStruct[] getSiteNames()

      Gets the siteNames value for this AllStatesStruct.
      Returns:
        siteNames

    - #### setSiteNames

          public void setSiteNames(NameIDStruct[] siteNames)

      Sets the siteNames value for this AllStatesStruct.
      Parameters:
        `siteNames` -

    - #### getGenesysStatesSize

          public int getGenesysStatesSize()

      Gets the genesysStatesSize value for this AllStatesStruct.
      Returns:
        genesysStatesSize

    - #### setGenesysStatesSize

          public void setGenesysStatesSize(int genesysStatesSize)

      Sets the genesysStatesSize value for this AllStatesStruct.
      Parameters:
        `genesysStatesSize` -

    - #### getGenesysStates

          public NameIDStruct[] getGenesysStates()

      Gets the genesysStates value for this AllStatesStruct.
      Returns:
        genesysStates

    - #### setGenesysStates

          public void setGenesysStates(NameIDStruct[] genesysStates)

      Sets the genesysStates value for this AllStatesStruct.
      Parameters:
        `genesysStates` -

    - #### getScheduledStateGroupsSize

          public int getScheduledStateGroupsSize()

      Gets the scheduledStateGroupsSize value for this AllStatesStruct.
      Returns:
        scheduledStateGroupsSize

    - #### setScheduledStateGroupsSize

          public void setScheduledStateGroupsSize(int scheduledStateGroupsSize)

      Sets the scheduledStateGroupsSize value for this AllStatesStruct.
      Parameters:
        `scheduledStateGroupsSize` -

    - #### getScheduledStateGroups

          public NameIDStruct[] getScheduledStateGroups()

      Gets the scheduledStateGroups value for this AllStatesStruct.
      Returns:
        scheduledStateGroups

    - #### setScheduledStateGroups

          public void setScheduledStateGroups(NameIDStruct[] scheduledStateGroups)

      Sets the scheduledStateGroups value for this AllStatesStruct.
      Parameters:
        `scheduledStateGroups` -

    - #### getScheduledStatesSize

          public int getScheduledStatesSize()

      Gets the scheduledStatesSize value for this AllStatesStruct.
      Returns:
        scheduledStatesSize

    - #### setScheduledStatesSize

          public void setScheduledStatesSize(int scheduledStatesSize)

      Sets the scheduledStatesSize value for this AllStatesStruct.
      Parameters:
        `scheduledStatesSize` -

    - #### getScheduledStates

          public ScheduleStateStruct[] getScheduledStates()

      Gets the scheduledStates value for this AllStatesStruct.
      Returns:
        scheduledStates

    - #### setScheduledStates

          public void setScheduledStates(ScheduleStateStruct[] scheduledStates)

      Sets the scheduledStates value for this AllStatesStruct.
      Parameters:
        `scheduledStates` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.